Bug 146489 - [indic] Indic dependent vowel's assumption on character cluster
Summary: [indic] Indic dependent vowel's assumption on character cluster
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pango   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Pravin Satpute
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: Indic
TreeView+ depends on / blocked
 
Reported: 2005-01-28 20:06 UTC by Leon Ho
Modified: 2017-06-23 14:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-02 22:16:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 345069 None None None Never

Description Leon Ho 2005-01-28 20:06:54 UTC
Description of problem:
When typing dependent vowel without any consonants, it will assume the
previous char was consonant.

Version-Release number of selected component (if applicable):
1.6.0-7

How reproducible:
everytime

Steps to Reproduce:
1. type "a"
2. type "à¥"
3a. press backspace
3b. press left arrow-key
  
Actual results:
a. 'a' get deleted along with the devanagari vowel sign
b. the cursor position located before 'a'

Expected results:
a. only the vowel sign get deleted
b. only moves before vowel sign

Additional info:

Comment 1 Leon Ho 2005-01-31 20:27:31 UTC
Will post it on upstream.

Comment 2 Matthias Clasen 2006-06-20 05:16:06 UTC
Reassigning pango bugs to Behdad.

Comment 3 Liang Zhang 2006-06-29 02:07:30 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=345069

Comment 4 Liang Zhang 2006-07-27 08:09:07 UTC
I wrote a patch for this bug.
http://bugzilla.gnome.org/show_bug.cgi?id=345069

Comment 5 Jens Petersen 2008-05-01 00:42:04 UTC
Is this still a problem?

Comment 6 Jens Petersen 2009-07-10 09:07:43 UTC
Pravin, an old bug but could you check the current status of this one?

Comment 7 Pravin Satpute 2009-07-10 12:28:44 UTC
still bug exist in RHEL 5, F11 and Rawhide as well
no RHEL 4 system to test :(
i will install it on monday and update as well

Comment 8 Jens Petersen 2009-07-13 02:35:41 UTC
That's fine - if there is no fedora bug open we should clone this to Fedora and fix it there first.

Comment 9 Pravin Satpute 2009-07-14 04:12:44 UTC
we have upstream bug open for this, will work on that

Comment 10 Jens Petersen 2010-02-02 22:16:49 UTC
Closing this out: http://bugzilla.gnome.org/show_bug.cgi?id=345069 got closed.


Note You need to log in before you can comment on or make changes to this bug.